1
vote
1answer
24 views

What causes this error when loading plugin

After installing pyspatialite on my Mac two plugins fail to load with this error:: This plugin is broken invalid literal for int() with base 10: '2-spatialite' I am fairly sure that the offending ...
0
votes
1answer
74 views

Missing QGIS raster menu tools - '“osgeo [python-gdal]” module is missing'

I recently had to reinstall QGIS (version 2.2.0-9) and the raster menu is missing its tools. I understand that the GdalTools plugin must be installed and enabled. I have already installed the GDal ...
1
vote
0answers
203 views

QGIS loads PostGIS layers but DBManager can't connect

DB Manager can't connect to PostgreSQL, but "Add PostGIS Layer" can. My eventual goal is to save created layers to PostGIS. I assume I can do this using the DBManager Tool. I can alternatively use ...
0
votes
1answer
78 views

Threejs “Failed to generate a dem file using gdalwarp. gdalwarp is not installed.”

I am trying to test out the new threejs plugin for QGis and have come across this error. Failed to generate a dem file using gdalwarp. gdalwarp is not installed. I have installed the latest ...
1
vote
1answer
97 views

Is it possible to run qgis through python?

I need to build an app to analyze some raster layers in qgis. I thought it was possible to just write code in python (2.7.6) (IDLE) and let it automatically open QGIS, load some layers, do a distance ...
0
votes
1answer
136 views

Error in QGIS 2.2 Raster Merge Tool in OS X

I'm having this strange error in QGIS 2.2 for OS X while trying to run the raster merge tool (in the Raster - Miscellaneous - Merge). This happens just by clicking on the "Select" button to choose the ...
0
votes
0answers
36 views

OSX: Installing GRASS addons in qGIS?

I would like to install r.stream.basins in GRASS through qGIS (2.0.1-Dufour). I tried using g.extension ext=r.stream.basins and got the error "the 'make' program is required. Please install first". ...
0
votes
1answer
75 views

Need help installing QGIS 2.0 Need GDAL then SQLite3 3.7.16

OSX 10.7.5 I need help installing QGIS 2.0 It says I then need GDAL. When I try to install GDAL it says SQLite3 3.7.16 or newer framework is required. I can't find SQLite3 3.7.16.
0
votes
1answer
74 views

QGIS toolbox not functional on OSX

Has anybody had any luck getting the tools in the QGIS2 Toolbox to run? So far I have tried SAGA and TauDEM but both throw up errors. I eventually got TauDEM to produce something from the D8 tool by ...
0
votes
1answer
95 views

OS X Python vs QGIS Python

I'm wondering why after I updated to Python 2.7.6 on my OS X 10.9 Mac, QGIS Python console says that it is still running the old 2.7.5 version. This is not affecting my work but I'm curious about why ...
0
votes
2answers
379 views

QGIS 2.0 won't open on OSX Mavericks [duplicate]

I successfully installed QGIS 2.0 on my macbook running OSX Mavericks, but when I attempt to open the program, I get the following message: "QGIS cannot be opened because of a problem. Check with the ...
2
votes
0answers
138 views

QGIS, “Handle bad layers” and empty layers

I'm a novice in GIS, so forgive me all possible mistakes I might have here... I'm using QGIS 2.0.1. (Dufour) with Mac OS X (10.6.8). I have couple of dozens(?) of vector layers added on a project. ...
1
vote
1answer
379 views

OSX 10.9 + QGIS 2.0.1 - Missing osgeo module

Running the following: QGIS 2.0.1 (via Kyngchaos) OSX 10.9 GDAL/OGR 1.10.1 (via Homebrew). Recently, I've become unable to use the OpenLayers plugin, which is complaining that I'm missing the ...
3
votes
2answers
103 views

Why can't I open a .xls with QGIS in OSX?

I'm trying to open an .xlswith QGIS 1.8 in a Mac, I'm loading the vector layer from Add new vector layeretc. etc. the procedure works in Windows but not in Mac where I have an error Invalid source ...
0
votes
0answers
59 views

How to use relative path in mac for open internal and external file?

I would like that my project would be portable, I mean that I can share it without lose all the path I have in my project. This seems not so easy and many times I have to re-set all the path when I ...
1
vote
1answer
2k views

Any experience with OSX and Mac OSX Maverics using OSGeo? [closed]

There is a new Apple Release of OSX called Mavericks and my questions are: Will GDAL run? Will QGIS run? Will Tilemill run? Will Mapnik run? Also are there any known issues? A similar question ...
1
vote
1answer
300 views

Is it necessary/advisable to uninstall QGIS 1.8 first before installing 2.0?

Who has installed QGIS 2.0 on Mac OSX 10.6.8 (Snow Leopard)? Is it necessary/advisable to uninstall QGIS 1.8 first? Have you seen any problems importing QGIS 1.8 projects to 2.0?
1
vote
2answers
203 views

Where I can download QGIS 1.8 for Mountain Lion?

I've encountered some problems running my old 1.8 project in 2.0. I would like to reinstall QGIS 1.8 but seems that there are no more 1.8 installer in KingChaos. In QGIS "all releases" there isn't.. ...
1
vote
1answer
1k views

QGIS 2 Installation on MAC OSX - couldn't load plugin 'processing' [duplicate]

New installation of QGIS running on Macbook Pro OSX 10.8.4 - this comes up on startup. I urgently need this fixed!!! I have a project due in 10 days that I desperately need QGIS for. Thanks for the ...
3
votes
3answers
1k views

QGIS 2 Python error on Mac OSX

Have just installed newly released QGIS 2.0. I installed the gdal package available at the official kyngchaos site. It seems to run ok, but when the program loads up I get a lengthy error message ...
0
votes
2answers
289 views

How to uninstall and re-install a stable version?

I just posted about a DEM problem after installing the latest nightly build...now I am completely screwed. I uninstalled the latest nightly build and associated files, hoping to resort back to the ...
1
vote
1answer
181 views

Why does the Clipper tool lack the mask layer option?

Fairly new at QGIS, but everything's gone well so far. I'm running QGIS version 1.8 on a Mac (OSX 10.8) and GDAL 1.10, and other GDAL tools (like Merge and Georeferencer) work just fine. When I ...
2
votes
2answers
93 views

How to overcome the layer limit on OSX?

I am trying to add many layers to a project in QGIS. After adding approximately 80 layers, QGIS returns this error: "not a valid or recognized data source". There is nothing wrong with the shapefiles ...
1
vote
1answer
179 views

How to set the path to shapely?

I am using QGIS 1.8.0 on Mac OS 10.8.3 with python 2.7. Thanks to other threads in the forum, I have successfully installed shapely here: ...
2
votes
2answers
2k views

How to install the Python module shapely for QGIS use?

I'm using QGIS 1.8.0 on a Mac with OSX 10.6.8 (Snow Leopard). I've installed QGIS including GDAL, GSL, UNIXImageIO, Freetype, and Matplotlib all from www.kyngchaos.com. When installing the plugin ...
0
votes
0answers
441 views

QGIS 1.8.0-Lisboa DBmanager (OSx) can't connect to remote PostGIS 2.0.2 database (Debian)

The PostGIS database is remote but I have made changes to the Postgresql config files and can access it remotely via pgadmin. When I open DBmanager in QGIS I see a note on the bottom that says ...
0
votes
1answer
272 views

Using macports python 2.7 with macports qgis

I installed qgis through macports on my mac running OSX 10.8.2 but when I run the application (qgis 1.8) it says that I don't have python-gdal installed. I searched google and it appears that it is ...
0
votes
1answer
124 views

gdalwarp cant find libproj.dlib

Thought I had finally got Python, gdal and QGIS to play nicely together but just tried to do a batch transform using a bash script to call gdalwarp and it claimed it couldn't read the libproj.dlib ...
2
votes
0answers
123 views

Install Georeferencer Plug-in QGis 1.7.0 OS X

I'm trying to install the Georeferencer plug-in in QGis 1.7.0 on Mac OS X (10.5.8). However the plug-in doesn't show up in the list. I have used "enable 3rd parties directory" and I have checked ...
7
votes
1answer
224 views

Why is QGIS 1.8 crashing when exporting to PDF?

I want to export for example this: but qgis crashes. Sometimes with an error message std::bad_alloc. But: My Mac has 8 GByte RAM and "just" 5,... something (of 8) GByte are used, moreover there is ...
1
vote
1answer
362 views

How to get back closed panes in QGIS 1.8?

I was using the map composer in QGIS 1.8 in Mac OS X 10.6.8 today and closed a couple of the object attribute panes on the right side of the map composer. However, I can't find a way to get those ...
0
votes
1answer
249 views

Problem using qgis when I upgraded to osx 10.8.1

I have been running qgis in Mountain Lion for a few weeks now, but when I upgraded to OS X 10.8.1, qgis would no longer work. I get an error saying: QGIS cannot be opened because of a problem. Check ...
2
votes
1answer
238 views

Vectors created in OTB Monteverdi are displaced

I'm using the Orfeo Toolbox Monteverdi in combination with QGIS in order to produce classified vectors of vegetation cover which I then use in maps in QGIS. (I can't use the QGIS OTB plugin because as ...
2
votes
1answer
1k views

Are there any known problems using QGIS on Mac OSX Mountain Lion?

A few days ago Apple released a new version of the OSX (10.8) and I'm thinking about upgrading. So, I was wondering if anyone had any problems with GIS applications (QGIS) and other similar software ...
5
votes
0answers
591 views

How to get rpy2 for QGIS on OSX?

I am a new QGIS user, have installed QGIS on a Mac running Snow Leopard OSX 10.6.8 following all the instructions. QGIS seems to work well for everything other than when I boot up I get the message ...